import {ParamLessBaseManagerObjNode} from "./_BaseManager";
import {NodeContext as NodeContext2, NetworkNodeType} from "../../poly/NodeContext";
import {ObjNodeRenderOrder} from "./_Base";
class BaseAnimationsObjNode extends ParamLessBaseManagerObjNode {
  constructor() {
    super(...arguments);
    this._children_controller_context = NodeContext2.ANIM;
  }
  static type() {
    return NetworkNodeType.ANIM;
  }
  createNode(node_class, params_init_value_overrides) {
    return super.createNode(node_class, params_init_value_overrides);
  }
  children() {
    return super.children();
  }
  nodesByType(type) {
    return super.nodesByType(type);
  }
}
export class AnimationsObjNode extends BaseAnimationsObjNode {
  constructor() {
    super(...arguments);
    this.render_order = ObjNodeRenderOrder.MANAGER;
  }
}
